org.bdgenomics.adam.projections

# Projection

#### object Projection

Avro utility object to create a projection of a Schema.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Projection
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(exclude: Boolean, includedFields: FieldValue*): Schema

   Creates a projection that either includes or excludes a variable number of fields.

   Creates a projection that either includes or excludes a variable number of fields.

   exclude

     If false, includes the provided fields in the projection. If true, the provided fields will be excluded, and all other fields from the record will be included in the projection.

   includedFields

     If exclude is false, fields to include in the projection. Else, fields to exclude from the projection.

   returns

     Returns the specified schema with the fields predicated out.

   Note

     Unlike the other apply methods, this method will allow you to project down to zero fields, which may cause an exception when loading from disk.

     ,

     The schema is inferred from the provided FieldValues. Undefined behavior may result if you provide FieldValues from multiple different FieldEnumerations.

7. #### def apply(includedFields: Traversable[FieldValue]): Schema

   Creates a projection that includes a variable number of fields.

   Creates a projection that includes a variable number of fields.

   includedFields

     Fields to include in the projection

   returns

     Returns the specified schema with the fields predicated out.

   Exceptions thrown
     IllegalArgumentException

     if there are no fields included in the projection.

   Note

     The schema is inferred from the provided FieldValues. Undefined behavior may result if you provide FieldValues from multiple different FieldEnumerations.

8. #### def apply(includedFields: FieldValue*): Schema

   Creates a projection that includes a variable number of fields.

   Creates a projection that includes a variable number of fields.

   includedFields

     Fields to include in the projection

   returns

     Returns the specified schema with the fields predicated out.

   Exceptions thrown
     IllegalArgumentException

     if there are no fields included in the projection.

   Note

     The schema is inferred from the provided FieldValues. Undefined behavior may result if you provide FieldValues from multiple different FieldEnumerations.

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped